MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001245XdebugUsage problems (Wrong Results)public2016-01-10 13:522016-01-25 21:59
ReporterPitman 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSXubuntuOS Version15.10
Product Version2.4.0rc3 
Target VersionFixed in Version2.4.0rc4 
Summary0001245: xdebug_dump_superglobals dumps *uninitialized* for POST and GET superglobals
DescriptionWith
xdebug.dump.GET=*
xdebug.dump.POST= *

in php.ini xdebug_dump_superglobals dumps *uninitialized* for POST and GET superglobals, something like
$_POST[-9223371826135041858] = *uninitialized*
TagsNo tags attached.
Operating System
PHP Version7.0.0-7.0.4
Attached Files

- Relationships

-  Notes
(0003391)
derick (administrator)
2016-01-10 22:57

I can indeed reproduce this. Another apply hash table occurrence!
(0003392)
derick (administrator)
2016-01-10 23:39

Thanks for the report. I've now fixed this on Xdebug's master branch on GitHub for Xdebug 2.4.0.

- Issue History
Date Modified Username Field Change
2016-01-10 13:52 Pitman New Issue
2016-01-10 22:57 derick Note Added: 0003391
2016-01-10 23:39 derick Note Added: 0003392
2016-01-10 23:39 derick Status new => closed
2016-01-10 23:39 derick Assigned To => derick
2016-01-10 23:39 derick Resolution open => fixed
2016-01-10 23:39 derick Fixed in Version => 2.4.0
2016-01-25 21:59 derick Fixed in Version 2.4.0 => 2.4.0rc4
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker